1. Уважаемые пользователи, прежде чем ответить в теме или создать новую,
    внимательно ознакомьтесь с правилами раздела

    Кому лень работать или руки не оттуда - пользуйтесь услугами специалистов
  2. Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.."

    Есть JED!!! Ищите там!!!

Помощь Перенес joomla 2.5 с php 5.3 на 5.2, работать перестала.

Тема в разделе "Joomla", создана пользователем kosiakcrakc, 7 авг 2012.

Информация :
  • Уважаемые пользователи, прежде чем ответить в теме или создать новую, внимательно ознакомьтесь с правилами раздела
  • Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.." Есть JED!!! Ищите там!!!
  • Аналоги ищите там же - на JED!!!
  • Новая версия? - У кого будет - тот выложит!
Статус темы:
Закрыта.
Модераторы: arman29, DMS, NightHunter
  1. kosiakcrakc

    kosiakcrakc Постоялец

    Регистр.:
    26 фев 2010
    Сообщения:
    60
    Симпатии:
    15
    При переносе joomla 2.5 на другой хостинг, страницы сайта слиплись: все модули оказались на одной странице. На старом хосте я выбрал php 5.3 а на этом даже и нет такого выбора, поумолчанию стоит 5.2. Думал налажал при переносе, но включая на старом хосте php 5.2 происходит тоже самое. Как это все исправить, может кто сталкивался?

    Кеш я весь отключил и удалил.
     
  2. lift

    lift Читатель

    Заблокирован
    Регистр.:
    1 июл 2007
    Сообщения:
    2.226
    Симпатии:
    1.377
    [​IMG]
    Указанное требование (PHP >=5.2.4) выполнено? 5.2 тоже бывают разными (с)
    Помниться мне на хостингах 5.2 ставят обычно версии ниже 5.2.3, тоесть работать на нем и не должно.
     
  3. kosiakcrakc

    kosiakcrakc Постоялец

    Регистр.:
    26 фев 2010
    Сообщения:
    60
    Симпатии:
    15
    php 5.3 работало, а на новом месте 5.2.14 и не работает, я понизил а не повысил.
     
  4. Extalionez

    Extalionez Клоун

    Заблокирован
    Регистр.:
    21 авг 2008
    Сообщения:
    368
    Симпатии:
    185
    Согласно официальным техническим требованиям joomla 2.5 может работать минимум на PHP 5.2.4(не 14, а 4 - то есть у тебя и не будет работать). Если у тебя более новая чем 5.2.4, то проблема скорее всего в шаблоне(какой у тебя?). Если же у тебя php старше 5.2.4, то меняй хостинг.
     
  5. kosiakcrakc

    kosiakcrakc Постоялец

    Регистр.:
    26 фев 2010
    Сообщения:
    60
    Симпатии:
    15
    шаблон уже пробовал менять, техническим требованиям хост соотвецтвует. При переключении с 5.3 на 5.2.14 доступ ко всем папкам пропадает, если вернуть на 5.3 то доступ снова открыт и все работает. При включенном php 5.2.14 на папки ставил права 777, доступ был открыт, но сайт не работал
     
  6. demolg

    demolg

    Регистр.:
    13 авг 2007
    Сообщения:
    230
    Симпатии:
    76
    Если на стандартном шаблоне кидает ошибки, тогда проблема не в джумле и не в самом PHP, а скорее всего в кривой сборке(настройках) 5.2.14.

    P.S. Попробуй у себя на PHP 5.2.14 установить новую Joomla 2.5 с нуля.
     
  7. kosiakcrakc

    kosiakcrakc Постоялец

    Регистр.:
    26 фев 2010
    Сообщения:
    60
    Симпатии:
    15
    с нуля работает все, и на том и на другом хосте
     
  8. Extalionez

    Extalionez Клоун

    Заблокирован
    Регистр.:
    21 авг 2008
    Сообщения:
    368
    Симпатии:
    185
    если стоит php 5.2.14, то он уже не соответствует минимальным требованиям.
    опишите, пожалуйста, более подробно проблему. На главной странице отображаются даже те модули, в настройках которых указанно отображать только на определённой странице, но не на главной? если да, то ещё раз внимательно посмотрите в админке на настройки модуля, когда установлен 5.2.14
     
  9. demolg

    demolg

    Регистр.:
    13 авг 2007
    Сообщения:
    230
    Симпатии:
    76
    Тогда проблема при переносе (может не все файлы) или в сборке сайта (шаблон, компоненты, модули, плагины).

    Сделай так: перенеси сайт с помощью архива, потом установи шаблон стандартный и выключи все посторонние модули, компоненты, плагины.

    Как это не соответствует?
    Для Joomla 2.5:
    - минимальные 5.2.4 +
    - рекомендуется 5.3 +
     
  10. kosiakcrakc

    kosiakcrakc Постоялец

    Регистр.:
    26 фев 2010
    Сообщения:
    60
    Симпатии:
    15
    Просто многие не знают что 4 меньше 14

    В серии php 5.2 было 18 исправлений - того от 5.2.0 до 5.2.17

    Теперь снова расскажу по полкам
    1 - есть хостинг с DirectAdmin, там я могу выбрать php 4, 5.0, 5.2.14 и 5.3. Ставил я joomla на 5.2.14, прошло время и я решил переключить на 5.3, думал круче будет, но при попытке вернуться на 5.2.14 , сайт грузил страницу 404 созданную мною и на ней были все модули которые должны быть раскиданы по всему сайту, я не долго думая прыгнул снова на 5.3 и все прекрасно заработало.
    Все забылось, но со временем на этом хостинге меня не устраивал немного пинг и скорость загрузки сайта на joomla и я решил сменить хост....
    2 - выбрал очень приятный до неймоверности хостинг с охриненым пингом и панелью directadmin, скинул базу, скинул файлы в архиве, там распаковал, прописал базу данных и тд и тп. Но при запуске сайта я увидел ту самую белеберду и вспомнил что нужно переключить php, пошел переключить а там нет такой возможности, на хосте сказали шиш тебе. Хотя у меня на хостинге стояла такая возможность до того как стать ресселлером и после.

    Я надеюсь лишних вопросов не будет
     
Статус темы:
Закрыта.